## fonts-junicode 0.6.17+20110915

=== Makefile ===
vpath %.py xgridfit
vpath %.sfd src

all : regular bold italic bolditalic

regular : Junicode-Regular.py Junicode-Regular.sfd
	fontforge -script xgridfit/Junicode-Regular.py

Junicode-Regular.py :
	cd xgridfit ; $(MAKE) regular

bold : Junicode-Bold.py Junicode-Bold.sfd
	fontforge -script xgridfit/Junicode-Bold.py

Junicode-Bold.py :
	cd xgridfit ; $(MAKE) bold

italic : Junicode-Italic.py Junicode-Italic.sfd
	fontforge -script xgridfit/Junicode-Italic.py

Junicode-Italic.py :
	cd xgridfit ; $(MAKE) italic

bolditalic : Junicode-BoldItalic.py Junicode-BoldItalic.sfd
	fontforge -script xgridfit/Junicode-BoldItalic.py

Junicode-BoldItalic.py :
	cd xgridfit ; $(MAKE) bolditalic

clean :
	rm -f *.ttf ; rm -f xgridfit/*.py

=== debian/changelog ===
fonts-junicode (0.6.17+20110915-2) unstable; urgency=low

  * Team upload
  * Drop Recommends on x-ttcidfont-conf. Closes: #660053
  * Update Standards to 3.9.3 (checked)
  * Fix spelling error in package description (targetted)
  * Change priority of transitional package to extra

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Feb 2012 19:28:24 +0100

fonts-junicode (0.6.17+20110915-1) unstable; urgency=low

  * New upstream snapshot.
  * Rename source package to "fonts-junicode" to fit the Font
    Packages Naming Policy.
  * debian/control: Switch Maintainer and Uploaders.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 12 Oct 2011 14:22:10 +0200

ttf-junicode (0.6.17+20110525-1) unstable; urgency=low

  * New upstream snapshot.
  * Build the fonts from the sources.
    + Add --skip-validation to xgridfit command so the build works.
  * Drop the additionally generated condenses fonts. (Closes: #551510)
  * Bump debhelper version to 8.
  * Bump standards version to 3.9.2.
  * Added debian/source/format.
  * Defoma removal:
    + Remove debian/defoma-hints.
    + Remove build-dep on defoma.
    + Remove overide_dh_installdocs target in debian/rules, where
      the call to dh_installdefoma was implemented.
    + Add preinst, postinst, postrm maintainer scripts to call
      dpkg-maintscript-helper rm_conffile for a save removal of
      the old defoma hints file.
  * Simplify debian/rules.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 26 May 2011 12:45:05 +0200

ttf-junicode (0.6.17-1) unstable; urgency=low

  * New upstream version. (Closes: #537092)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 15 Jul 2009 10:05:35 +0200

ttf-junicode (0.6.16-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * debian/control
    + Add font team to Uploaders.
    + Change section to fonts.
  * Update debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 06 Jun 2009 17:23:41 +0200

ttf-junicode (0.6.15+20090224-1) unstable; urgency=low

  * New upstream version. (Closes: #480506)
  * Update my email address.
  * Bump standards version.
  * Bump debhelper version.
  * Update debian/rules. (Closes: #480507)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 24 Feb 2009 15:28:30 +0100

ttf-junicode (0.6.15+20080123-1) unstable; urgency=low

  * New upstream version, including:
    + Updated xgf file format. (Closes: #456850)
  * Add condensed typefaces.
  * debian/copyright: Updated.
  * debian/control
    + Moved Homepage field.
    + Bump standards version.
  * debian/compat: Updated, no changes needed.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 14 Nov 2007 09:41:39 +0100

ttf-junicode (0.6.15-2) unstable; urgency=low

  * Use hinting, build-depends on xgridfit. (Closes: #428034)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 29 Jul 2007 11:44:26 +0200

ttf-junicode (0.6.15-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 26 Jul 2007 21:14:00 +0200

ttf-junicode (0.6.13-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 02 May 2007 15:55:52 +0200

ttf-junicode (0.6.12-1) unstable; urgency=low

  * New upstream version.
  * Updated URL in debian/control and debian/copyright.
  * Updated debian/copyright.
  * The fonts are built from source.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  6 Dec 2006 06:06:06 +0200

ttf-junicode (0.6.11-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 11 Apr 2006 16:29:58 +0200

ttf-junicode (0.6.10-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 10 Apr 2006 09:05:13 +0200

ttf-junicode (0.6.8-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon,  3 Apr 2006 10:01:31 +0200

ttf-junicode (0.6.7-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 22 Mar 2006 13:39:47 +0100

ttf-junicode (0.6.6-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue,  7 Mar 2006 10:55:20 +0100

ttf-junicode (0.6.5-3) unstable; urgency=low

  * Fixed paths in ttf-junicode.defoma. (closes: #338244)
  * Fixed debian/control to build-depends-indep.
  * Move defoma from recommends to depends. (closes: #337323, #337323)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  6 Oct 2005 11:11:17 +0200

ttf-junicode (0.6.5-2) unstable; urgency=low

  * Fix FTBFS missing build-depends defoma. (closes: #327717)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 15 Sep 2005 22:14:26 +0200

ttf-junicode (0.6.5-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Remove unnecessary recommends. (closes: #291708)
  * Update debian/copyright information.
  * Created debian/defoma-hints. (closes: #296713)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Aug 2005 15:01:44 +0200

ttf-junicode (0.6.4-1) unstable; urgency=low

  * Initial Release. (closes: #233975)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 16 Dec 2004 19:00:20 +0100

=== debian/control ===
Source: fonts-junicode
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 8), fontforge, xgridfit, libxml2-utils, python-libxml2
Standards-Version: 3.9.3
Homepage: http://junicode.sourceforge.net/

Package: fonts-junicode
Architecture: all
Recommends: fontconfig
Depends: ${misc:Depends}
Replaces: ttf-junicode (<< 0.6.17+20110525-1)
Conflicts: ttf-junicode (<< 0.6.17+20110525-1)
Provides: ttf-junicode
Suggests: fontforge
Description: Unicode font for medievalists (Latin, IPA and Runic)
 This is a TrueType Unicode font targeted at medievalists, but including
 the full range of characters for languages written in the Latin script,
 International Phonetic Alphabet, Uralic Phonetic Alphabet and Runic. It has
 regular, italic, bold and bold-italic fonts.

Package: ttf-junicode
Depends: fonts-junicode, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

## fonts-junicode 0.7.6

=== Makefile ===
vpath %.sfd src

include version.mk

all : regular bold italic bolditalic

regular : Junicode.ttf

bold : Junicode-Bold.ttf

italic : Junicode-Italic.ttf

bolditalic : Junicode-BoldItalic.ttf

woff : Junicode.ttf Junicode-Italic.ttf Junicode-Bold.ttf Junicode-BoldItalic.ttf
	which sfnt2woff > /dev/null; \
	if [ $$? -eq 0 ] ; then \
	  sfnt2woff Junicode.ttf ; \
	  sfnt2woff Junicode-Italic.ttf ; \
	  sfnt2woff Junicode-Bold.ttf ; \
	  sfnt2woff Junicode-BoldItalic.ttf ; \
	else \
	  echo "sfnt2woff is not installed." ; \
	fi

Junicode.ttf : Junicode-Regular.sfd
	which ttfautohint > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  python util/simplegen.py src/Junicode-Regular.sfd jr-tmp.ttf $(TARGET_SYS) ; \
	  ttfautohint -l 20 -r 150 -v jr-tmp.ttf Junicode.ttf ; \
	  rm jr-tmp.ttf ; \
	else \
	  python util/simplegen.py src/Junicode-Regular.sfd Junicode.ttf ; \
	fi

Junicode-Bold.ttf : Junicode-Bold.sfd
	which ttfautohint > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  python util/simplegen.py src/Junicode-Bold.sfd jb-tmp.ttf ; \
	  ttfautohint -l 20 -r 150 -v jb-tmp.ttf Junicode-Bold.ttf ; \
	  rm jb-tmp.ttf ; \
	else \
	  python util/simplegen.py src/Junicode-Bold.sfd Junicode-Bold.ttf ; \
	fi

Junicode-Italic.ttf : Junicode-Italic.sfd
	which ttfautohint > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  python util/simplegen.py src/Junicode-Italic.sfd ji-tmp.ttf ; \
	  ttfautohint -l 20 -r 150 -v ji-tmp.ttf Junicode-Italic.ttf ; \
	  rm ji-tmp.ttf ; \
	else \
	  python util/simplegen.py src/Junicode-Italic.sfd Junicode-Italic.ttf ; \
	fi

Junicode-BoldItalic.ttf : Junicode-BoldItalic.sfd
	which ttfautohint > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  python util/simplegen.py src/Junicode-BoldItalic.sfd jbi-tmp.ttf ; \
	  ttfautohint -l 20 -r 150 -v jbi-tmp.ttf Junicode-BoldItalic.ttf ; \
	  rm jbi-tmp.ttf ; \
	else \
	  python util/simplegen.py src/Junicode-BoldItalic.sfd Junicode-BoldItalic.ttf ; \
	fi

clean :
	rm -f *.ttf ; rm -f xgridfit/*.py ; rm -f *.woff

dist :
	$(MAKE) -f Makefile clean
	tar -C .. -zcvf $(PACKAGE)-$(VERSION).tar.gz \
	  --exclude=CVS --exclude=*.tar.bz2 --exclude=.* \
	  --exclude=*~ --exclude=*.tar.gz $(PACKAGE)

=== debian/changelog ===
fonts-junicode (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + add python-fontforge, and ttfautohint to Build-Depends.
  * Rewrote debian/copyright to machine-readable format.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 04 May 2012 13:14:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 8), fontforge, xgridfit, libxml2-utils, python-libxml2
+Build-Depends: debhelper (>= 8), fontforge, xgridfit, libxml2-utils, python-libxml2, ttfautohint, python-fontforge
 Standards-Version: 3.9.3
 Homepage: http://junicode.sourceforge.net/
 
@@ -24,7 +24,7 @@
 Package: ttf-junicode
 Depends: fonts-junicode, ${misc:Depends}
 Architecture: all
+Priority: extra
 Section: oldlibs
-Priority: extra
 Description: transitional dummy package
  This package is a dummy transitional package. It can be safely removed.

## fonts-junicode 0.7.8

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	which ttfautohint > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  python util/simplegen.py src/Junicode-Regular.sfd jr-tmp.ttf $(TARGET_SYS) ; \
-	  ttfautohint -l 20 -r 150 -v jr-tmp.ttf Junicode.ttf ; \
+	  ttfautohint -f -l 20 -r 150 -v jr-tmp.ttf Junicode.ttf ; \
 	  rm jr-tmp.ttf ; \
 	else \
 	  python util/simplegen.py src/Junicode-Regular.sfd Junicode.ttf ; \
@@ -37,7 +37,7 @@
 	which ttfautohint > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  python util/simplegen.py src/Junicode-Bold.sfd jb-tmp.ttf ; \
-	  ttfautohint -l 20 -r 150 -v jb-tmp.ttf Junicode-Bold.ttf ; \
+	  ttfautohint -f -l 20 -r 150 -v jb-tmp.ttf Junicode-Bold.ttf ; \
 	  rm jb-tmp.ttf ; \
 	else \
 	  python util/simplegen.py src/Junicode-Bold.sfd Junicode-Bold.ttf ; \
@@ -47,7 +47,7 @@
 	which ttfautohint > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  python util/simplegen.py src/Junicode-Italic.sfd ji-tmp.ttf ; \
-	  ttfautohint -l 20 -r 150 -v ji-tmp.ttf Junicode-Italic.ttf ; \
+	  ttfautohint -f -l 20 -r 150 -v ji-tmp.ttf Junicode-Italic.ttf ; \
 	  rm ji-tmp.ttf ; \
 	else \
 	  python util/simplegen.py src/Junicode-Italic.sfd Junicode-Italic.ttf ; \
@@ -57,7 +57,7 @@
 	which ttfautohint > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  python util/simplegen.py src/Junicode-BoldItalic.sfd jbi-tmp.ttf ; \
-	  ttfautohint -l 20 -r 150 -v jbi-tmp.ttf Junicode-BoldItalic.ttf ; \
+	  ttfautohint -f -l 20 -r 150 -v jbi-tmp.ttf Junicode-BoldItalic.ttf ; \
 	  rm jbi-tmp.ttf ; \
 	else \
 	  python util/simplegen.py src/Junicode-BoldItalic.sfd Junicode-BoldItalic.ttf ; \
@@ -69,5 +69,5 @@
 dist :
 	$(MAKE) -f Makefile clean
 	tar -C .. -zcvf $(PACKAGE)-$(VERSION).tar.gz \
-	  --exclude=CVS --exclude=*.tar.bz2 --exclude=.* \
+	  --exclude=*.tar.bz2 --exclude=.* \
 	  --exclude=*~ --exclude=*.tar.gz $(PACKAGE)

=== debian/changelog ===
fonts-junicode (0.7.8-2) unstable; urgency=low

  * Team upload
  * Drop "-f" switch to ttfautohint as it is useless without argument
    and now makes the script fail which, in turn, fails to build TTF
    files. Closes: #730891
  * Update Standards to 3.9.5 (checked)
  * Bump debhelper compatibility to 9
  * Add "Multi-Arch: foreign" field
  * Drop "Provides" as it is no longer needed (installations should have
    transitioned since wheezy and the package has anyway no reverse
    dependency.
  * Use xz extreme compression for deb packages
  * Use git for packaging: adapt Vcs-* fields

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Dec 2013 18:20:11 +0100

fonts-junicode (0.7.8-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches and remove xgridfit from build-depends.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 04 Jan 2013 14:47:02 +0100

fonts-junicode (0.7.7-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * New upstream release.
  
  [ Axel Beckert ]
  * Add watch file
  * Apply patch by Colin Watson to use dh_installdeb maintscript support
    instead calling dpkg-maintscript-helper directly from maintainer
    scripts (Closes: #659557)
  * Fix lintian warning conflicts-with-version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 13 Dec 2012 09:49:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 8), fontforge, xgridfit, libxml2-utils, python-libxml2, ttfautohint, python-fontforge
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9~), fontforge, libxml2-utils, python-libxml2, ttfautohint, python-fontforge
+Standards-Version: 3.9.5
 Homepage: http://junicode.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-junicode.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-junicode.git;a=summary
 
 Package: fonts-junicode
 Architecture: all
+Multi-Arch: foreign
 Recommends: fontconfig
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Replaces: ttf-junicode (<< 0.6.17+20110525-1)
-Conflicts: ttf-junicode (<< 0.6.17+20110525-1)
-Provides: ttf-junicode
+Breaks: ttf-junicode (<< 0.6.17+20110525-1)
 Suggests: fontforge
 Description: Unicode font for medievalists (Latin, IPA and Runic)
  This is a TrueType Unicode font targeted at medievalists, but including

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/junicode/junicode-([0-9].*)\.tar\.gz
http://sf.net/junicode/junicode-source-([0-9].*)\.tar\.gz

## fonts-junicode 1.001

=== Makefile ===
--- 
+++ 
@@ -69,5 +69,5 @@
 dist :
 	$(MAKE) -f Makefile clean
 	tar -C .. -zcvf $(PACKAGE)-$(VERSION).tar.gz \
-	  --exclude=*.tar.bz2 --exclude=.* \
+	  --exclude=CVS --exclude=*.tar.bz2 --exclude=.* \
 	  --exclude=*~ --exclude=*.tar.gz $(PACKAGE)

=== xgridfit/Makefile ===


RSCRIPTS = Junicode-Regular-common.xgf Junicode-Regular-Basic.xgf \
	Junicode-Regular-CombDiac.xgf Junicode-Regular-GenPunct.xgf \
	Junicode-Regular-IPA.xgf Junicode-Regular-LatExtAdd.xgf \
	Junicode-Regular-LatExtA-dotlessi.xgf Junicode-Regular-LatExtA.xgf \
	Junicode-Regular-LatExtB.xgf Junicode-Regular-Latin1.xgf \
	Junicode-Regular-NoEncode.xgf Junicode-Regular-PUA.xgf \
	Junicode-Regular-SpacMod.xgf Junicode-Regular-out.xgf \
	Junicode-Regular-Greek.xgf

ISCRIPTS = Junicode-Italic-Basic.xgf

BSCRIPTS = Junicode-Bold.xgf

BISCRIPTS = Junicode-BoldItalic.xgf

all : regular bold italic bolditalic

regular : Junicode-Regular.py

Junicode-Regular.py : $(RSCRIPTS)
	xgridfit -A -m -P no -O Junicode-Regular.py Junicode-Regular.xgf

bold : Junicode-Bold.py

Junicode-Bold.py : $(BSCRIPTS)
	xgridfit -A -m -P no -O Junicode-Bold.py Junicode-Bold.xgf

italic : Junicode-Italic.py

Junicode-Italic.py : $(ISCRIPTS)
	xgridfit -A -m -P no -O Junicode-Italic.py Junicode-Italic-Basic.xgf

bolditalic : Junicode-BoldItalic.py

Junicode-BoldItalic.py : $(BISCRIPTS)
	xgridfit -A -m -P no -O Junicode-BoldItalic.py Junicode-BoldItalic.xgf

=== debian/changelog ===
fonts-junicode (1.001-2) unstable; urgency=medium

  * Add AppStream metadata.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 18 Feb 2018 12:09:29 +0100

fonts-junicode (1.001-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.1.
  * debian/control: drop ttf-junicode. (Closes: #878493)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 13 Nov 2017 15:25:04 +0100

fonts-junicode (0.7.8-3) unstable; urgency=medium

  * debian/control: replace fontforge with fontforge-nox
  * debian/copyright: fix license. (Closes: #727167)
  * Set modification time,
    thanks for the patch Jérémy Bobbio. (Closes: #774275)
  * Bump debhelper version to 10.
  * Bump standards version to 4.0.0.
  * Update my name.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 15 Sep 2017 23:19:07 +0200

=== debian/control ===
Source: fonts-junicode
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 10), fontforge-nox, libxml2-utils, python-libxml2, ttfautohint, python-fontforge
Standards-Version: 4.1.1
Homepage: http://junicode.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-junicode.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-junicode.git;a=summary

Package: fonts-junicode
Architecture: all
Multi-Arch: foreign
Recommends: fontconfig
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: fontforge
Description: Unicode font for medievalists (Latin, IPA and Runic)
 This is a TrueType Unicode font targeted at medievalists, but including
 the full range of characters for languages written in the Latin script,
 International Phonetic Alphabet, Uralic Phonetic Alphabet and Runic. It has
 regular, italic, bold and bold-italic fonts.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILD_DATE = $(shell date --date="$$(dpkg-parsechangelog -SDate)" +"%Y-%m-%d %H:%M:%S")
export BUILD_DATE

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe

## fonts-junicode 1.002

=== Makefile ===
vpath %.ufo src

include version.mk

# for release mode add these options to makeotf:
# -gf src/GOA-$(1) -r -nS

define generate_font
	which sfntedit > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  sfntedit -d GSUB,GPOS,GDEF,cmap $(1).ttf ; \
	else \
	  echo "Required program sfntedit (Adobe FDK) not installed!" ; \
	  exit 1 ; \
	fi ; \
	which makeotf > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  makeotf -fi src/$(1)_fontinfo -gf src/GOA-$(1) -r -nS -f $(1).ttf -o $(1)-tmp.ttf -ff src/$(2).ufo/features.fea -mf src/JunicodeNameDB ; \
	else \
	  echo "Required program makeotf (Adobe FDK) not installed!" ; \
	  exit 1 ; \
	fi ; \
	which ttx > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  echo "Adding dummy DSIG table" ; \
	  ttx -d . -o $(1)-dsig.ttf -m $(1)-tmp.ttf util/dsig.ttx ; \
	else \
	  echo "Required program ttx (FontTools) not installed!" ; \
	  exit 1; \
	fi ; \
	which ttfautohint > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  echo "Running ttfautohint to make hinted font $(2).ttf" ; \
	  ttfautohint -f latn --hinting-range-min=20 --hinting-range-max=150 -v $(1)-dsig.ttf $(2).ttf ; \
	else \
	  echo "$(2).ttf will be uhinted - ttfautohint not installed!" ; \
	  mv $(1)-tmp.ttf $(2).ttf ; \
	fi ; \
	rm -f $(1).ttf $(1)-dsig.ttf $(1)-tmp.ttf
endef

all : regular bold italic bolditalic greek

regular : Junicode.ttf

bold : Junicode-Bold.ttf

italic : Junicode-Italic.ttf

bolditalic : Junicode-BoldItalic.ttf

greek : FoulisGreek.ttf

# Assume the ttf files: otherwise we'll have to make them all again.
woff :
	which sfnt2woff > /dev/null; \
	if [ $$? -eq 0 ] ; then \
	  sfnt2woff Junicode.ttf ; \
	  sfnt2woff Junicode-Italic.ttf ; \
	  sfnt2woff Junicode-Bold.ttf ; \
	  sfnt2woff Junicode-BoldItalic.ttf ; \
	  sfnt2woff FoulisGreek.ttf ; \
	else \
	  echo "sfnt2woff is not installed." ; \
	fi

Junicode.ttf : jr.ttf
	$(call generate_font,jr,Junicode)

jr.ttf : src/Junicode.ufo
	python util/simplegen.py src/Junicode.ufo jr.ttf ;

Junicode-Bold.ttf : jb.ttf
	$(call generate_font,jb,Junicode-Bold)

jb.ttf : src/Junicode-Bold.ufo
	python util/simplegen.py src/Junicode-Bold.ufo jb.ttf ;

Junicode-Italic.ttf : ji.ttf
	$(call generate_font,ji,Junicode-Italic)

ji.ttf: src/Junicode-Italic.ufo
	python util/simplegen.py src/Junicode-Italic.ufo ji.ttf ;

Junicode-BoldItalic.ttf : jbi.ttf
	$(call generate_font,jbi,Junicode-BoldItalic)

jbi.ttf : src/Junicode-BoldItalic.ufo
	python util/simplegen.py src/Junicode-BoldItalic.ufo jbi.ttf ;

FoulisGreek.ttf : fg.ttf
	$(call generate_font,fg,FoulisGreek)

fg.ttf : src/FoulisGreek.ufo
	python util/simplegen.py src/FoulisGreek.ufo fg.ttf ;

clean :
	rm -f *.ttf ; rm -f *.woff

dist :
	zip -r junicode-$(VERSION).zip *.ttf ChangeLog doc/*.pdf util/mt-Junicode.cfg

woffdist : 
	zip -r junicode-woff-$(VERSION).zip *.woff ChangeLog doc/*.pdf

=== debian/changelog ===
fonts-junicode (1.002-2) unstable; urgency=medium

  * d/control: drop python2. (Closes: #943072)
  * d/control: add ttfautohint to Build-Depends.
  * Bump debhelper version to 11.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 23 Oct 2019 11:32:52 +0200

fonts-junicode (1.002-1) unstable; urgency=medium

  * New upstream version. (LP: #1815355)
  * debian/control:
    - Bump standards version to 4.2.1.
    - Build-Depends, drop ttfautohint, add fonttools.
    - Update Vcs links.
  * debian/patches: dropped, not needed anymore.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 06 Aug 2019 10:09:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

BUILD_DATE = $(shell date --date="$$(dpkg-parsechangelog -SDate)" +"%Y-%m-%d %H:%M:%S")
export BUILD_DATE

%:
	dh $@

override_dh_auto_build:
	#dh_auto_build
	$(MAKE) -f Makefile.ff
	find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe

## fonts-junicode 2+git20220419+ds

=== debian/changelog ===
fonts-junicode (2+git20220419+ds-3) unstable; urgency=medium

  * Bump standards version to 4.6.1.
  * Upload to sid.

 -- Gürkan Myczko <tar@debian.org>  Tue, 14 Jun 2022 08:43:23 +0200

fonts-junicode (2+git20220419+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/install: updated.
  * d/copyright: bump years, add upstream contact, update source URL.
  * d/rules: skip auto install.
  * d/upstream/metadata: added.
  * d/watch: updated.
  * d/control:
    - Update maintainer address.
    - Bump standards version to 4.6.0.
    - Bump debhelper version to 13.
    - Update homepage field.
    - Add Rules-Requires-Root: no.
    - Build-Depends: disabled.
  * d/patches: disabled.

 -- Gürkan Myczko <tar@debian.org>  Tue, 19 Apr 2022 14:24:50 +0200

## fonts-junicode 2+git20230104+ds

=== debian/changelog ===
fonts-junicode (2+git20230104+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump year.

 -- Gürkan Myczko <tar@debian.org>  Wed, 04 Jan 2023 13:21:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 10), fontforge-nox, libxml2-utils, python-libxml2, ttfautohint, python-fontforge
-Standards-Version: 4.1.1
-Homepage: http://junicode.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-junicode.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-junicode.git;a=summary
+Uploaders: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13)
+#fontforge-nox, libxml2-utils, python3-libxml2, python3-fontforge, fonttools, ttfautohint
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-junicode.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-junicode
+Homepage: https://github.com/psb1558/Junicode-font
 
 Package: fonts-junicode
 Architecture: all

## fonts-junicode 2.001+ds

=== debian/changelog ===
fonts-junicode (2.001+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 22 Aug 2023 12:23:01 +0200

fonts-junicode (2+git20230730+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update description. (Closes: #1035968)
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Sun, 30 Jul 2023 20:44:33 +0200

## fonts-junicode 2.204+ds

=== debian/changelog ===
fonts-junicode (2.204+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 05 Dec 2023 10:39:12 +0100

fonts-junicode (2.203+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 14 Nov 2023 10:52:57 +0100

fonts-junicode (2.202+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 06 Nov 2023 13:22:56 +0100

fonts-junicode (2.201+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 29 Oct 2023 06:10:02 +0100

fonts-junicode (2.100+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 11 Oct 2023 15:13:23 +0200

=== debian/control ===
Source: fonts-junicode
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
#fontforge-nox, libxml2-utils, python3-libxml2, python3-fontforge, fonttools, ttfautohint
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-junicode.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-junicode
Homepage: https://github.com/psb1558/Junicode-font

Package: fonts-junicode
Architecture: all
Multi-Arch: foreign
Recommends: fontconfig
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: fontforge
Description: Unicode font for medievalists (Latin, IPA and Runic)
 This is a Unicode font targeted at medievalists, but including  the full
 range of characters for languages written in the Latin script,  International
 Phonetic Alphabet, Uralic Phonetic Alphabet and Runic.

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,9 @@
 
 override_dh_auto_build:
 	#dh_auto_build
-	$(MAKE) -f Makefile.ff
-	find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe
+	#$(MAKE) -f Makefile.ff
+	#find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe
+	echo CURRENTLY USING PRE-BUILT UPSTREAM FONT FILES
+
+override_dh_auto_install:
+	@echo Do not use install target of upstream Makefile

## fonts-junicode 2.208+ds

=== debian/changelog ===
fonts-junicode (2.208+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 03 Jun 2024 04:22:59 +0000

fonts-junicode (2.207+ds-3) unstable; urgency=medium

  * d/rules: build it right according the docs, switch to otf building again.
  * d/control: add psautohint to build depends.

 -- Alex Myczko <tar@debian.org>  Sun, 02 Jun 2024 22:06:06 +0000

fonts-junicode (2.207+ds-2) unstable; urgency=medium

  * d/control: add missing build depend.

 -- Alex Myczko <tar@debian.org>  Wed, 29 May 2024 19:41:42 +0000

fonts-junicode (2.207+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: bump years.
  * d/rules: build from source.
  * d/control: add build dependencies.
  * d/clean: added.
  * d/install: install ttf fonts, unhinted.

 -- Alex Myczko <tar@debian.org>  Wed, 29 May 2024 08:31:59 +0000

## fonts-junicode 2.209+ds

=== debian/changelog ===
fonts-junicode (2.209+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 24 Jul 2024 20:34:48 +0000

## fonts-junicode 2.211+ds

=== Makefile ===
all:
	fontmake -g Junicode-width.glyphs -i -o otf
	fontmake -g Junicode-Italic.glyphs -i -o otf

install:
	mkdir -p /usr/share/fonts/opentype/juniusx
	cp */*.otf /usr/share/fonts/opentype/juniusx

clean:
	rm -rf *_ufo/

=== debian/changelog ===
fonts-junicode (2.211+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Feb 2025 11:05:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13)
-#fontforge-nox, libxml2-utils, python3-libxml2, python3-fontforge, fonttools, ttfautohint
-Standards-Version: 4.6.2
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), fontmake, glyphspkg, xgridfit, glyphslib, psautohint
+# libxml2-utils, python3-libxml2, fonttools, ttfautohint
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-junicode.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-junicode

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,12 @@
 
 override_dh_auto_build:
 	#dh_auto_build
+	cd source; ./build_font otf
+	#cd source; ./build_font -s otf
+	#cd source; ./build_font -ni otf
 	#$(MAKE) -f Makefile.ff
 	#find $(CURDIR) -name '*.ttf' -print0 | xargs -0 debian/scripts/fix-modtime.pe
-	echo CURRENTLY USING PRE-BUILT UPSTREAM FONT FILES
+	#echo CURRENTLY USING PRE-BUILT UPSTREAM FONT FILES
 
 override_dh_auto_install:
 	@echo Do not use install target of upstream Makefile

## fonts-junicode 2.218+ds

=== debian/changelog ===
fonts-junicode (2.218+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 10:56:46 +0200

## fonts-junicode 2.220+ds

=== debian/changelog ===
fonts-junicode (2.220+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Sep 2025 09:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), fontmake, glyphspkg, xgridfit, glyphslib, psautohint
 # libxml2-utils, python3-libxml2, fonttools, ttfautohint
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-junicode.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-junicode

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/psb1558/Junicode-font/tags .*/v?(\d\S*)\.tar\.gz
